Bug 1998135 - CVE-2021-3634 libssh: possible heap-based buffer overflow when rekeying [fedora-all]
Summary: CVE-2021-3634 libssh: possible heap-based buffer overflow when rekeying [fedo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libssh
Version: 34
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-3634
TreeView+ depends on / blocked
 
Reported: 2021-08-26 13:21 UTC by devthomp
Modified: 2021-10-07 17:07 UTC (History)
6 users (show)

Fixed In Version: libssh-0.9.6-1.fc35 libssh-0.9.6-1.fc34 libssh-0.9.6-1.fc33
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 00:16:54 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-272 0 None None None 2021-08-26 13:24:01 UTC

Description devthomp 2021-08-26 13:21:37 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 devthomp 2021-08-26 13:21:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1978810,1998135

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-09-21 16:59:12 UTC
FEDORA-2021-288925ac19 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-288925ac19

Comment 3 Fedora Update System 2021-09-21 17:01:38 UTC
FEDORA-2021-ec797b6a96 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ec797b6a96

Comment 4 Fedora Update System 2021-09-21 18:53:10 UTC
FEDORA-2021-ec797b6a96 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ec797b6a96`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ec797b6a96

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-09-22 16:26:34 UTC
FEDORA-2021-288925ac19 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-288925ac19`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-288925ac19

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-09-22 16:28:53 UTC
FEDORA-2021-f2a020a065 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f2a020a065`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f2a020a065

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-29 00:16:54 UTC
FEDORA-2021-ec797b6a96 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-09-29 01:08:51 UTC
FEDORA-2021-288925ac19 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-10-07 17:07:53 UTC
FEDORA-2021-f2a020a065 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.